curl -X GET '/unified-transactions/utx_01abc123' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"transaction_id": "utx_01abc123",
"type": "deposit",
"status": "completed",
"amount": "500.00",
"asset": "USDC",
"chain": "solana",
"from_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"to_address": "GY1EZGdpiJNyx2BSKq8rfTDRe5K8Bb6Cf2Bn1pdmE2o1",
"tx_hash": "5xYz...",
"block_number": 250000000,
"confirmations": 32,
"fee_amount": "0.00",
"fee_asset": "USDC",
"source_reference": {
"type": "blockchain",
"id": "5xYz..."
},
"created_at": "2026-03-26T10:00:00Z",
"completed_at": "2026-03-26T10:00:30Z"
}
}
Unified Transactions
Get Transaction
Get details of a unified transaction
GET
/
v1
/
unified-transactions
/
{transaction_id}
curl -X GET '/unified-transactions/utx_01abc123' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"transaction_id": "utx_01abc123",
"type": "deposit",
"status": "completed",
"amount": "500.00",
"asset": "USDC",
"chain": "solana",
"from_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"to_address": "GY1EZGdpiJNyx2BSKq8rfTDRe5K8Bb6Cf2Bn1pdmE2o1",
"tx_hash": "5xYz...",
"block_number": 250000000,
"confirmations": 32,
"fee_amount": "0.00",
"fee_asset": "USDC",
"source_reference": {
"type": "blockchain",
"id": "5xYz..."
},
"created_at": "2026-03-26T10:00:00Z",
"completed_at": "2026-03-26T10:00:30Z"
}
}
Bearer token:
Bearer YOUR_ACCESS_TOKENThe unified transaction ID.
curl -X GET '/unified-transactions/utx_01abc123' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"success": true,
"data": {
"transaction_id": "utx_01abc123",
"type": "deposit",
"status": "completed",
"amount": "500.00",
"asset": "USDC",
"chain": "solana",
"from_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"to_address": "GY1EZGdpiJNyx2BSKq8rfTDRe5K8Bb6Cf2Bn1pdmE2o1",
"tx_hash": "5xYz...",
"block_number": 250000000,
"confirmations": 32,
"fee_amount": "0.00",
"fee_asset": "USDC",
"source_reference": {
"type": "blockchain",
"id": "5xYz..."
},
"created_at": "2026-03-26T10:00:00Z",
"completed_at": "2026-03-26T10:00:30Z"
}
}
⌘I

